#!/bin/bash


# the location of the time-aligned monophone MLF
MONOMLF=alignment/aligned.final.mlf

mkdir -p data/label_state_align_mono
mkdir -p data/label_state_align

# split monophone MLF
echo "Splitting monophone MLF"
HLEd -l data/label_state_align_mono /dev/null alignment/aligned.final.mlf 

for FCLF in `find alignment/labels/full/ -name "*.lab" | sort`
do
	BASE=`basename ${FCLF}`
	echo "Transferring times for "${BASE}

	for LINE in `cat ${FCLF}`
	do
		echo ${LINE}[2] ${LINE}
		for N in 3 4 5 6
		do
			echo ${LINE}[$N]
		done
	done > tmp.lab

	 # sanity check
	MLEN=`cat data/label_state_align_mono/${BASE}| wc -l`
	FLEN=`cat tmp.lab | wc -l`
	if test $MLEN -ne $FLEN
	then
		echo Oops - different number of lines: $MLEN $FLEN
		exit 1
	fi
	cut -d" " -f1,2 data/label_state_align_mono/${BASE} | paste -d" " - tmp.lab > data/label_state_align/${BASE}

	rm -f tmp.lab
done
